Cannot Apply Patch with OPatch Due to "component(s) missing" or OUI-67124: "After skipping patches with missing components, there are no patches to apply"

(Doc ID 2309817.1)

Last updated on SEPTEMBER 25, 2017

Applies to:

Oracle Fusion Middleware - Version 11.1.1.2.0 and later
Information in this document applies to any platform.

Symptoms

Unable to apply a patch with the OPatch utility, there is an OPatch warning, "After skipping patches with missing components, there are no patches to apply". After running "opatch apply", the OPatch output will look similar to the following:

Skip patch xxxxxx from list of patches to apply: This patch is not needed.
CheckMissingComp: hash doesn't match, re-build FVs
OUI-67124:After skipping patches with missing components, there are no patches to apply.
UtilSession: N-Apply done.
--------------------------------------------------------------------------------
The following warnings have occurred during OPatch execution:
1) OUI-67124: After skipping patches with missing components, there are no patches to apply.
--------------------------------------------------------------------------------
OUI-67008:OPatch Session completed with warnings.
Finishing UtilSession at Wed Aug 30 13:27:17 EDT 2017
Log file location: d:\apps\pt\bea\cfgtoollogs\opatch\xxxxxx_Aug_30_2017_13_27_16\apply2017-08-30_13-27-12PM_1.log

Depending on OPatch version and patch being applied, you may also see:

oracle.sysman.oii.oiii.OiiiInstallAreaControl initAreaControl
INFO: Install area Control created with access level 0
Applying interim patch 'xxxxxx' to OH 'C:\Oracle\MIDDLE~1\ORACLE~1'
Verifying environment and performing prerequisite checks...
Patch 25388793: Optional component(s) missing : [ oracle.wls.server.examples, 12.1.3.0.0 ] , [ oracle.wls.server.examples, 12.1.3.0.0 ]
Prerequisite check "CheckActiveFilesAndExecutables" failed.

or

Applying interim patch 'xxxxxxx' to OH 'c:\oracle\middleware\Oracle_WT1'
Verifying environment and performing prerequisite checks...
Prerequisite check "CheckApplicable" failed.
The details are:
Patch xxxxxxx: Required component(s) missing : [ oracle.jrf.j2ee, 11.1.1.9.0 ]

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms